Index: src/sas/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/perspectives/fitting/pagestate.py	(revision d838715645ac898163603c42de5b97740d520c4b)
+++ src/sas/perspectives/fitting/pagestate.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
@@ -1511,5 +1507,5 @@
                     self.errors.append(err_mess)
                     logging.error(err_mess)
-            
+
             note_list = item.xpath('ns:SASprocessnote',
                                    namespaces={'ns': CANSAS_NS})
@@ -1517,12 +1513,12 @@
                 if note.text is not None:
                     process.notes.append(note.text.strip())
-            
+
             data_info.process.append(process)
-            
+
         # Data info ######################
         nodes = dom.xpath('ns:SASdata', namespaces={'ns': CANSAS_NS})
         if len(nodes) > 1:
             raise RuntimeError, "CanSAS reader is not compatible with multiple SASdata entries"
-       
+
         for entry in nodes:
             for item in list_of_data_2d_attr:
@@ -1530,5 +1526,5 @@
                 node = get_content('ns:%s' % item[0], entry)
                 exec "data_info.%s = parse_entry_helper(node, item)" % item[1]
-                    
+
             for item in list_of_data2d_values:
                 field = get_content('ns:%s' % item[0], entry)
@@ -1540,5 +1536,5 @@
                 else:
                     exec "data_info.%s = numpy.array(list)" % item[0]
-        
+
         return data_info
 
@@ -1546,14 +1542,14 @@
         """
         Load data and P(r) information from a CanSAS XML file.
-        
+
         :param path: file path
-        
+
         :return: Data1D object if a single SASentry was found,
                     or a list of Data1D objects if multiple entries were found,
                     or None of nothing was found
-                    
+
         :raise RuntimeError: when the file can't be opened
         :raise ValueError: when the length of the data vectors are inconsistent
-        
+
         """
         output = []
@@ -1563,10 +1559,10 @@
         try:
             if os.path.isfile(path):
-                
+
                 #TODO: eventually remove the check for .xml once
                 # the P(r) writer/reader is truly complete.
                 if  ext in self.ext or \
                     ext == '.xml':
-                    
+
                     tree = etree.parse(path, parser=etree.ETCompatXMLParser())
                     # Check the format version number
@@ -1581,5 +1577,5 @@
                             raise
                         fitstate = self._parse_state(entry)
-                        
+
                         #state could be None when .svs file is loaded
                         #in this case, skip appending to output
@@ -1608,8 +1604,8 @@
                     original_fname = state.file[0:max_char]
                     state.file = original_fname + ' [' + time_str + ']'
-                     
+
                     if state is not None and state.is_data is not None:
                         exec 'output[%d].is_data = state.is_data' % ind
-                     
+
                     output[ind].filename = state.file
                     state.data = output[ind]
@@ -1629,18 +1625,18 @@
                     self.state = state
                 return output
-              
+
         except:
             self.call_back(format=ext)
             #self.state= state
             raise
-           
+
     def write(self, filename, datainfo=None, fitstate=None):
         """
         Write the content of a Data1D as a CanSAS XML file only for standalone
-        
+
         :param filename: name of the file to write
         :param datainfo: Data1D object
         :param fitstate: PageState object
-        
+
         """
         # Sanity check
@@ -1651,15 +1647,15 @@
         else:
             doc = fitstate.toXML(file=filename)
-        
+
         # Save the document no matter the type
         fd = open(filename, 'w')
         fd.write(doc.toprettyxml())
         fd.close()
-        
+
     def write_toXML(self, datainfo=None, state=None):
         """
         Write toXML, a helper for write(),
         could be used by guimanager._on_save()
-        
+
         : return: xml doc
         """
@@ -1677,5 +1673,5 @@
                 state.data.run = [str(state.data.name)]
                 state.data.run_name[0] = state.data.name
-            
+
             if issubclass(state.data.__class__,
                           sas.dataloader.data_info.Data1D):
@@ -1685,10 +1681,10 @@
                 data = state.data
                 doc, sasentry = self._data2d_to_xml_doc(data)
-            
+
         if state is not None:
             doc = state.toXML(doc=doc, file=data.filename, entry_node=sasentry)
-        
+
         return doc
-    
+
 # Simple html report templet
 HEADER = "<html>\n"
@@ -1736,5 +1732,5 @@
     #state.toXML()
     """
-    
+
     file = open("test_state", "w")
     pickle.dump(state, file)
@@ -1769,4 +1765,4 @@
     db.keys().sort()
     print pickle.loads(db['state2'])
-  
+
     db.close()
